[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Dialogs' (#lcl)

# TFindDialog.DoCloseForm

Implements the OnClose event handler on the internal form displayed for the dialog.

## Declaration

Source position: dialogs.pp line 501

`protected procedure TFindDialog.DoCloseForm(`
`Sender: TObject;`
`var CloseAction: TCloseAction`
`); virtual;`

## Arguments

`Sender` |  | Object (TFindDialog) for the event notification.
`CloseAction` |  | Not used in the current implementation.

## Description

DoCloseForm is a method which implements the event handler signalled when the internal form instance for the dialog is closed. No actions are performed in the method at design-time (csDesigning is in ComponentState property).

DoCloseForm stores the Left and Top coordinates from the form to the corresponding properties in the class instance. The property values are assigned as default values when a new form instance is created in CreateForm.

DoCloseForm is assigned to the OnClose event handler for the internal TForm instance when the Execute method is called.

## See also

TFindDialog.CloseDialog |  | Closes the dialog form when its Cancel button is clicked.
TFindDialog.Left |  | Coordinate for the Left side of the dialog form.
TFindDialog.Top |  | Coordinate for the Top edge of the dialog form.
TFindDialog.Execute |  | Displays the dialog form and responds to button clicks.
TCommonDialog.OnClose |  | Event handler signalled when the dialog is closed.
TCustomForm.Close |  | Closes the form.
TCustomForm.CloseQuery |  | Asks the OnCloseQuery handler whether the form can be closed.
TForm.OnClose |  | Handler called when the form is closed. It determines what happens to the form (destroy, hide, etc.).